You are on page 1of 3

Installation of Gerris Particle

A) It is recommended to have basic gerris dependencies fulfilled. Since I have always installed
gerris particle after normal stable gerris, I do not know if it will work without this as well.

Safe side, fulfill these dependencies:

Step-1 sudo apt-get install libglib2.0-dev

Step-2 sudo apt-get install libglib2.0-dev libnetpbm10-dev m4 libproj-dev libgsl0-dev libnetcdf-dev


libode-dev libfftw3-dev libhypre-dev libgtkglext1-dev libstartup-notification0-dev

Step-3 sudo apt-get install libglib2.0-dev libnetpbm10-dev m4 libproj-dev libgsl0-dev libnetcdf-dev


libode-dev libfftw3-dev libhypre-dev libgtkglext1-dev libstartup-notification0-dev

Step-4 sudo apt-get install yasm

[ download ffmpeg and untar ]

Step-5 cd ffmpeg-2.4.1/ /*<Beware of the version you have, change the numbers accrdingly>*/

Step-6 ./configure --disable-yasm

Step-7 make

Step-8 sudo make install

[ download openmpi and untar ]

Step-9 cd openmpi-1.8.3/ /*<Beware of the version you have, change the numbers accrdingly>*/

Step-10 ./configure
Step-11 make
Step-12 sudo make install
Step-13 sudo /sbin/ldconfig

Step-14 sudo apt-get install openmpi*

Step-15 sudo apt-get install libgtk2.0-dev libgtkglext1-dev libstartup-notification0-dev libftgl-dev

Step-16 sudo apt-get install libosmesa6-dev

In case there are errors, solve them.

Please note, if you already had gerris installed, there steps are immaterial and not required.
B) Main gerris particle installation
Step-1. sudo apt-get install darcs

Step-2. darcs get http://www.lmm.jussieu.fr/~fuster/gerris-fft-particles

Step-3. darcs get http://gerris.dalembert.upmc.fr/darcs/gts-stable

Step-4. darcs get http://gerris.dalembert.upmc.fr/darcs/gfsview-stable

Step-5. sudo apt-get install automake libtool-bin

Step-6. cd gts-stable

Step-7. sh autogen.sh

Step-8. make

Step-9. sudo make install

Step-10. sudo /sbin/ldconfig

Step-11. cd ..

CAUTION: To make it work you will need to install the fftw3.3 version. Otherwise you will have
to disable fft* from the modules folder.

I have not been able to install fftw3.3. So here is how I disabled the fft* from modules. Go to gerris-
fft-particles – modules – Makefile.am
Then find the lines with FFTW and comment them out. As shown below (just add # before these 4
lines)

#if HAS_FFTW3
#FFT = libfft2D.la libfft3D.la
#TUR = libturbulence2D.la libturbulence3D.la
#endif

Step-6. cd gerris-fft-particles

Step-7. sh autogen.sh

Step-8. make

Step-9. sudo make install

Step-10. sudo /sbin/ldconfig

Step-11. cd ..

Step-6. cd gfsview-stable
Step-7. sh autogen.sh

Step-8. make

Step-9. sudo make install

Step-10. sudo /sbin/ldconfig

For any query, please contact:

Vatsal Sanjay
vatsalsanjay@gmail.com

CAUTION: If you happen to get following error after Step-8 of Section B.


parallel-tests: error: required file './test-driver' not found
parallel-tests: 'automake --add-missing' can install 'test-driver'
Makefile:298: recipe for target 'Makefile.in' failed
make[2]: *** [Makefile.in] Error 1

It is ok. Just do following

Step-8a. automake –add-missing

Then repeat Step-8 and proceed with Step-9.